
Figure - Bug #118151
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试144小时，CRASH: com.android.launcher3 (5)
2023-05-22 18:43 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103(X103)

Resolution: WORKSFORME Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【错误信息】

 CRASH: com.android.launcher3 (pid 20418)

// Short Msg: android.os.DeadSystemException

// Long Msg: android.os.DeadSystemException: android.os.DeadSystemException

// Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys

// Build Changelist: 3388

// Build Time: 1684175970000

// java.lang.RuntimeException: android.os.DeadSystemException

//     at android.view.inputmethod.InputMethodManager.removeImeSurface(InputMethodManager.java:2196)

//     at android.view.ImeInsetsSourceConsumer.removeSurface(ImeInsetsSourceConsumer.java:119)

//     at android.view.ImeInsetsSourceConsumer.setControl(ImeInsetsSourceConsumer.java:129)

//     at android.view.InsetsController.onControlsChanged(InsetsController.java:815)

//     at android.view.ViewRootImpl$ViewRootHandler.handleMessageImpl(ViewRootImpl.java:5335)

//     at android.view.ViewRootImpl$ViewRootHandler.handleMessage(ViewRootImpl.java:5278)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: android.os.DeadSystemException

//     ... 13 more

// 

History

#1 - 2023-05-22 18:57 - CD TEST-方永红

- Parent task set to #113422
#2 - 2023-05-22 20:42 - CD APP-王营

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王营 to CD TEST-方永红

请连接中控在环境完备的情况下复测此问题并抓取log，log中未能找到和此问题相关的信息。

#3 - 2023-05-25 11:19 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WORKSFORME

5.25

连接中控后测试三天未复现、先关闭

#4 - 2023-05-25 11:20 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-05-25 11:20 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
